import * as _Object from './ion/Object';
import * as Node from './Node';
import * as Location from './Location';
import * as Null from './ion/Null';
import * as Declarator from './Declarator';
export declare class ModuleSpecifier implements _Object.Object, Node.Node {
    readonly location: Location.Location | Null.Null;
    readonly local: Declarator.Declarator;
    static readonly id = "ModuleSpecifier";
    static readonly implements: Set<string>;
    constructor({ location, local }: {
        location?: Location.Location | Null.Null;
        local: Declarator.Declarator;
    });
    patch(properties: {
        location?: Location.Location | Null.Null;
        local?: Declarator.Declarator;
    }): ModuleSpecifier;
    static is(value: any): value is ModuleSpecifier;
}
export declare function isModuleSpecifier(value: any): value is ModuleSpecifier;
export default ModuleSpecifier;
